#### Description:

This function clears the values of a specified set of attributes for an Object. Clearing an attribute cancels any value that has previously been explicitly set for it, so that the standard default attribute value will subsequently be used instead. This also causes the astTest function to return the value zero for the attribute, indicating that no value has been set.

#### Synopsis

void astClear( AstObject ∗this, const char ∗attrib )

#### Parameters:

##### this

Pointer to the Object.

##### attrib

Pointer to a null-terminated character string containing a comma-separated list of the names of the attributes to be cleared.

#### Applicability

##### Object

This function applies to all Objects.

#### Notes:

- Attribute names are not case sensitive and may be surrounded by white space.

- It does no harm to clear an attribute whose value has not been set.

- An error will result if an attempt is made to clear the value of a read-only attribute.

Copyright (C) 2021 East Asian Observatory